<?php
include("cp_header.php"); /**************************************************صفحة تعديل الحسابات البنكية*******************************************************************/


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="bank_accounts";
$extensionx='' ;
$filex='';



	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
if (isset($_images['image'])){


	

   


}

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['name']);
$iban=$_POST['iban'];
$img_id=$_POST['old_img'];
$modified=date('Y-m-d H:i:s');
$priority=0;

if(isset($_POST['priority'])){ $priority=1; }

//مسار رفع الصورة
$src='../img/'.$table.'/';	

	if($_FILES['image']['size']!=0){
		
		
		
	
//استدعاء ملف رفع الصور
include("upload_image.php");
	if ($image_error=='1'){
	goto err1;	
	}

	
//فى حالة رفع الصورة
if ($image) {

	
//استدعاء ملف تعديل مقاسات الصور
include('SimpleImage.php');
	
//استدعاء ملف وضع العلامة المائية على الصور
include('water_mark.php');
	   $image = new SimpleImage();
	   $image->load($src.'img_'.$img_id.'.'.$extension);
	   
		
	   
//تحجيم الصورة
$image->resizeToHeight(150);
	   $image->save($src.'img_'.$img_id.'.jpg');
	   $image->resize(20,20);
	   $image->save($src.'img_'.$img_id.'_tiny.jpg');
	   


	   
	   
	   //وضع العلامة المائية على الصور فى حالة تفعيل الاختيار
	   if(isset($_POST['water_mark'])){ WaterMark($src.'img_'.$img_id.'.jpg'); }	

	}else{
	err1:	

	}
	
	}
	

//تمثيل الاستعلام فى شكل نص
$q="Update `$table` 
			set `name`='$title' , `iban`= '$iban' , `images`='$img_id' ,`modified`='$modified' ,`user_modified`='".$_SESSION[$domain."_user"]."' ,`priority`= $priority  
			Where id= ".$_GET['id'];
			
			//echo $q;
	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"Update `$table` 
			set `name`=? , `iban`= ? , `images`=? ,`modified`=? ,`user_modified`=? ,`priority`= ?  
			Where id= ? "
	);

		

	
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'sssssii',
			
		$title,$iban,$img_id,$modified,$_SESSION[$domain."_user"],$priority,$_GET['id']

	);


			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	

	echo "<div class='true'>تم رفع الوصف</div>";
	
	goto endall;
}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:



//بداية الاستعلام
$query="select name,iban,images,priority from $table where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$sort_num=$fetch[0];


?>	
	
	
	
	
<div id="cp_title"> تعديل الحسابات البنكية
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	

</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>اسم البنك</div>
<div class="cp_field">
<input alt="1" id="title" class="required " name="name" type="text" value="<?php echo $fetch['name'] ?>" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>رقم ال IBAN </div>
<div class="cp_field">
<input class=" required" alt="1" autocomplete="off"  name="iban" type="text" value="<?php echo $fetch['iban'] ?>" />
<div class="field_val "></div>	
</div>
</div>
	
<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> رفع الصورة </div>
<div class="cp_fielda">
<div class="wrapper images"></div>	
<input num="1" class='browse ' alt="4"  name="image" type="file" accept="image/png, image/jpeg" />

<div style='float:left;border:solid 1px #888;margin-left:300px;' class='old_file'>
<img loading='lazy' id="browse_img1" src="<?php if($fetch['images']!=''){ echo '../img/'.$table.'/img_'.$fetch['images']."_tiny.webp"; } ?>" style="float:left;width:80px;height:40px;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<input name='old_img' value='<?php echo $fetch['images']; ?>' type='hidden' />
</div>
<div class="field_val no_margin "></div>
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="ajil" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة تعديل الانجازات  </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table ; ?>.php?search=";
}, 5000);


});
</script>



